Subject: Re: [bug#27355] [PATCH 3/7] gnu: Add libsigrokdecode.

From: Theodoros Foradis <[email-masked]>
Date: Sat, 24 Jun 2017 00:02:28 +0300

Hello,

> the README lists some more dependencies:
>
>  - doxygen (optional, only needed for the C API docs)
>  - graphviz (optional, only needed for the C API docs)
>
> Do you think it makes sense to build the API docs?

I am replying to this with un updated patch series, rebased on current
master, because the old wouldn't apply due to migration of zip.scm to
compression.scm.

I have fixed the suggested issues, and added the C API docs for libsigrok
and libsigrokdecode. I did not manage to use the modular qt packages
instead of qt because icons are missing, suggestions are welcome.

Theodoros Foradis(7):
 gnu: Add pulseview.
 gnu: Add sigrok-cli.
 gnu: Add libsigrok.
 gnu: Add sigrok-firmware-fx2lafw.
 gnu: Add libsigrokdecode.
 gnu: Add libserialport.
 gnu: Add libzip.

 gnu/local.mk                 |   1 +
 gnu/packages/compression.scm |  33 +++++++++++++++++++++++++++++++
 gnu/packages/electronics.scm | 253 +++++++++++++++++++++++++++++++++++++
 3 files changed, 287 insertions(+)
 create mode 100644 gnu/packages/electronics.scm
-- 
Theodoros Foradis